Summary:    A shell-level integration testing library
Name:       beakerlib
Version:    1.29.3
Release:    7%{?dist}
License:    GPLv2
URL:        https://github.com/%{name}
Source0:    https://github.com/beakerlib/beakerlib/archive/%{version}.tar.gz #/%{name}-%{version}.tar.gz
Source1:    %{name}-tmpfiles.conf
Patch3000:  python-platform.patch

BuildArch:  noarch

BuildRequires: /usr/bin/pod2man perl-generators
BuildRequires: util-linux make
Autoreq:    0
Requires:   nfs-utils /bin/bash /bin/sh
Requires:   grep sed iproute coreutils tar
Requires:   gzip util-linux which dnf-utils
Requires:   /usr/bin/bc /usr/bin/time
Requires:   (wget or curl)
Suggests:   wget
Recommends: /usr/libexec/platform-python
Recommends: /usr/bin/perl
Recommends: python3-lxml
Recommends: /usr/bin/xmllint


%prep
%autosetup -p1

%build
%make_build

%install
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?_tmpfilesdir: %global _tmpfilesdir %{_prefix}/lib/tmpfiles.d/}
rm -rf %{buildroot}
make PKGDOCDIR=%{_pkgdocdir} DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_tmpfilesdir}
install -m 0644 %{SOURCE1} %{buildroot}/%{_tmpfilesdir}/%{name}.conf

%description
The BeakerLib project means to provide a library of various helpers, which
could be used when writing operating system level integration tests.

%files
%license LICENSE
%doc %{_pkgdocdir}/*
%config %{_tmpfilesdir}/%{name}.conf
%{_bindir}/%{name}-*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/xslt-templates
%dir %{_pkgdocdir}
%dir %{_pkgdocdir}/examples
%dir %{_pkgdocdir}/examples/*
%{_datadir}/%{name}/dictionary.vim
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/xslt-templates/*
%{_mandir}/man1/%{name}*1*


%package vim-syntax
Summary: Files for syntax highlighting BeakerLib tests in VIM editor
BuildRequires: vim-common make
Requires: vim-common


%description vim-syntax
Files for syntax highlighting BeakerLib tests in VIM editor

%files vim-syntax
%{_datadir}/vim/vimfiles/after/ftdetect/beakerlib.vim
%{_datadir}/vim/vimfiles/after/syntax/beakerlib.vim

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.3-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.3-6
- Rebuilt for loongarch release

* Thu May 16 2024 Pengda Dou <doupengda@loongson.cn> - 1.29.3-5
- [Type] bugfix
- [DESC] fix source url error problem

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 wynnfeng <wynnfeng@tencent.com> - 1.29.3-1
- initial build
